<?php
/**
 * The template for displaying 404 pages (Not Found)
 *
 * @package WordPress
 * @subpackage Makena
 * @since Makena 1.0
 */

get_header(); ?>

	<div id="primary" class="site-content">
		<div id="content" role="main">
		
			<div class="errorPage">
			<div class="errorPage-inner">
			
				<article id="post-0" class="post error404 no-results not-found">
					<header class="entry-header">
						<?php if ( get_theme_mod( 'makena_error_page_container_title', __( 'Sorry, something went wrong!', 'makena' ) ) ): ?>
							<h2 class="entry-title">
								<?php echo esc_html( get_theme_mod( 'makena_error_page_container_title', __( 'Sorry, something went wrong!', 'makena' ) ) ); ?>
							</h2>
						<?php endif; ?>
					</header>

					<div class="entry-content">
						<?php if ( get_theme_mod( 'makena_error_page_content', __( 'It seems we can not find what you are looking for. Perhaps searching can help.', 'makena' ) ) ): ?>
							<p>
								<?php echo esc_html( get_theme_mod( 'makena_error_page_content', __( 'It seems we can not find what you are looking for. Perhaps searching can help.', 'makena' ) ) ); ?>
							</p>
							<div class="searchwrap"><?php get_search_form(); ?></div>
						<?php endif; ?>
					</div><!-- .entry-content -->
				</article><!-- #post-0 -->
				
			</div><!-- .errorPage-inner -->
			</div><!-- .errorPage -->
			
		</div><!-- #content -->
	</div><!-- #primary -->

<?php get_footer(); ?>