<?php
/**
 * The default template for displaying content on About and Contact page
 *
 * Used for both single and index/archive/search.
 *
 * @package WordPress
 * @subpackage Mekana
 * @since Makena 1.0
 */
?>

	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<header class="entry-header">
			<?php if ( ! post_password_required() && ! is_attachment() ) : ?>
				<div class="col-3">
					<div class="first_featured_image">
						<?php the_post_thumbnail(); ?>
					</div>
				</div>
				<div class="col-3">
					<div class="second_featured_image">
				  		<?php $makena_stored_meta = get_post_meta( $post->ID ); ?>
						<img src="<?php echo $makena_stored_meta['meta-image'][0]; ?>" />
					</div>
				</div>
			<?php endif; ?>
		</header><!-- .entry-header -->

		<div class="col-6">
			<div class="col-1">
				<h1 class="entry-title"><?php the_title(); ?></h1>
			</div>
		
			<div class="col-5">
				<div class="entry-content">
					<?php the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'makena' ) ); ?>
				</div><!-- .entry-content -->
			</div>

			<footer class="entry-meta">
				<?php edit_post_link( __( 'Edit', 'makena' ), '<span class="edit-link">', '</span>' ); ?>
			</footer><!-- .entry-meta -->
		</div>
	
	</article><!-- #post -->
