<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive/search.
 *
 * @package WordPress
 * @subpackage Mekana
 * @since Makena 1.0
 */
?>

	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<?php if ( is_sticky() && is_home() && ! is_paged() ) : ?>
		<div class="featured-post">
			<?php _e( 'Featured post', 'makena' ); ?>
		</div>
		<?php endif; ?>
		<header class="entry-header">
			<?php if ( ! post_password_required() && ! is_attachment() ) :
				the_post_thumbnail('post-thumbnails');
				photo_details_metabox();
			endif; ?>

			<?php if ( is_single() ) : ?>
			<h1 class="entry-title"><?php the_title(); ?></h1>
			<?php else : ?>
			<h1 class="entry-title">
				<a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a>
			</h1>
			<?php endif; // is_single() ?>
			<?php if ( comments_open() ) : ?>
				<div class="comments-link">
					<?php comments_popup_link( '<span class="leave-reply">' . __( 'Leave a reply', 'makena' ) . '</span>', __( '1 Reply', 'makena' ), __( '% Replies', 'makena' ) ); ?>
				</div><!-- .comments-link -->
			<?php endif; // comments_open() ?>
		</header><!-- .entry-header -->

		<?php if ( is_search() || is_home() || is_archive() || is_author() || is_category() || is_tag() ) : // Display Excerpts for Search and Homepage ?>
		<div class="entry-summary">
			<?php the_excerpt(); ?>
			<?php entry_list_share(); ?>
		</div><!-- .entry-summary -->
		<?php else : ?>
		<div class="entry-content">
			<?php the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'makena' ) ); ?>
			<?php giveaway_box(); ?>
			<?php wp_link_pages( array( 'before' => '<div class="page-links">' . __( 'Pages:', 'makena' ), 'after' => '</div>' ) ); ?>
		</div><!-- .entry-content -->
		<?php endif; ?>

		<footer class="entry-meta">
			<div class="col-3">
				<?php makena_entry_meta(); ?>
				<?php edit_post_link( __( 'Edit', 'makena' ), '<span class="edit-link">', '</span>' ); ?>
			</div>
			<div class="col-3">
				<?php post_social_share(); ?>
			</div>
		</footer><!-- .entry-meta -->
	</article><!-- #post -->
