<?php
/**
 * The template for displaying the footer
 *
 * Contains footer content and the closing of the #main and #page div elements.
 *
 * @package WordPress
 * @subpackage Mekana
 * @since Makena 1.0
 */
?>
		</div><!-- #main .wrapper -->
	</div><!-- #page -->
	
	<?php if( is_front_page() ): ?>
		<div class="gridWrap brands">
			<div class="gridContent site">
				<?php display_brands_logos(); ?>
			</div>
		</div>
	
		<div class="gridWrap testimonials">
			<div class="gridContent site">
				<?php makena_testimonials(); ?>
			</div>
		</div>
		
		<div class="newsletterWrap">
			<div class="newsletterContent site">
				<?php makena_newsletter(); ?>
			</div>
		</div>
	
	<?php endif; ?>
	
	<div class="footerWrap">
		<div class="footerContent site">
			<div class="footer-social-links">
				<?php makena_social_media_icons(); ?>
			</div>
			<footer id="colophon" role="contentinfo">
				<?php footer_widgets_area(); ?>
				<nav class="footer-navigation">
					<?php wp_nav_menu( array( 'theme_location' => 'footer', 'menu_class' => 'nav-menu' ) ); ?>
				</nav><!-- #footer-navigation -->
				<div class="makena_copyright">
					<?php esc_attr_e('Copyright ©', 'preference'); ?> <?php _e(date('Y')); ?> <a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php bloginfo( 'name' ); ?></a>
				</div><!-- .copyright -->
				<div class="site-info">
					<?php do_action( 'makena_credits' ); ?>
					<span class="info-tag">Designed and Developed by</span> <a href="<?php echo esc_url( __( 'https://chimenegaspar.com/', 'makena' ) ); ?>" title="<?php esc_attr_e( 'Chimene Gaspar Feminine Wordpress Themes', 'makena' ); ?>"><?php printf( __( 'Chimene Gaspar', 'makena' ), 'Chimene Gaspar' ); ?></a>
				</div><!-- .site-info -->
			</footer><!-- #colophon -->
		</div><!-- .footerContent -->
	</div><!-- .footerWrapper -->

<?php wp_footer(); ?>
</body>
</html>