<?php
/**
 * The Header template for our theme
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package WordPress
 * @subpackage Mekana
 * @since Makena 1.0
 */
?><!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) & !(IE 8)]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width" />
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php // Loads HTML5 JavaScript file to add support for HTML5 elements in older IE versions. ?>
<!--[if lt IE 9]>
<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js" type="text/javascript"></script>
<![endif]-->
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<div class="topWrap">
		<div class="topContent site">
			<header id="masthead" class="site-header" role="banner">
				<div class="col-2 main-menu">
					<nav id="site-navigation" class="main-navigation" role="navigation">
						<button class="menu-toggle"><?php _e( 'Menu', 'makena' ); ?></button>
						<a class="assistive-text" href="#content" title="<?php esc_attr_e( 'Skip to content', 'makena' ); ?>"><?php _e( 'Skip to content', 'makena' ); ?></a>
						<?php wp_nav_menu( array( 'theme_location' => 'mobile', 'menu_class' => 'nav-menu' ) ); ?>
					</nav><!-- #site-navigation -->
					<nav class="main-navigation" role="navigation">
						<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'nav-menu' ) ); ?>
					</nav><!-- #site-navigation -->
				</div>
				<div class="col-2 logo">
					<hgroup>
						<div id="site-logo"><?php the_custom_logo(); ?></div>
						<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
						<h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>
					</hgroup>
				</div>
				<div class="col-2 sec-menu">
					<nav class="main-navigation">
						<?php wp_nav_menu( array( 'theme_location' => 'secondary', 'menu_class' => 'nav-menu' ) ); ?>
					</nav>
				</div>
			</header><!-- #masthead -->
		</div><!-- .topContent.site -->
	</div><!-- .topWrapper -->

	<div class="headerWrap">
		<div class="headerContent site">
		
			<?php if( is_front_page() ) : ?>
				<?php makena_display_top_widget(); ?>
			<?php endif;?>
			
			<div class="main-header-image">
				<?php 
				$get_header_image = get_theme_mod( 'makena_display_hero_image' );
					if ( $get_header_image ) { ?>
						<?php if ( get_header_image() ) : ?>
							<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php header_image(); ?>" class="header-image" width="<?php echo get_custom_header()->width; ?>" height="<?php echo get_custom_header()->height; ?>" alt="" /></a>
					<?php endif; ?>
				<?php } else { ?>
				<?php if( is_front_page() ) : ?>
				<div class="sliderWrap">
					<?php frontpage_display_slider(); ?>
				</div>
				<?php endif;?>
				<?php } ?>
			</div><!-- .main-header-image -->
			
		</div><!-- .headercontent -->
		
		<?php cgg_header_image(); ?>
		
	</div><!-- .headerwrapper -->
		
<?php if( is_front_page() ) : ?>
 	<div class="gridWrap style-1">
		<div class="gridContent site">
			<?php makena_display_banners(); ?>
		</div>
	</div>
 	<div class="gridWrap style-2">
		<div class="gridContent site">
			<?php makena_display_featuredbox(); ?>
		</div>
	</div>
<?php endif;?>
 
 <div id="page" class="hfeed site">
	<div id="main" class="wrapper">
