<?php
/**
 * Featuredbox functionality
 *
 * @package WordPress
 * @subpackage Makena
 * @since Makena 1.0
 */
 
 /**
* Add Front Page Featured Box Section
*/
function makena_featuredbox_customize_register( $wp_customize ) {
	$wp_customize->add_section(
		'makena_featuredbox_section',
		array(
			'title'       => esc_html__( 'Featured Content Box', 'makena' ),
			'capability'  => 'edit_theme_options',
			'panel' => 'makena_theme_options',
			'priority'   => 25,
		)
	);
	
	// Add Featured Box 1 Image
	$wp_customize->add_setting( 'makena_featuredbox1_image',
		array(
    		'sanitize_callback' => 'esc_url_raw'
		)
	);

    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'makena_featuredbox1_image',
			array(
				'label'   	 => esc_html__( 'Featured Box 1 Image', 'makena' ),
				'section' 	 => 'makena_featuredbox_section',
				'settings'   => 'makena_featuredbox1_image',
			) 
		)
	);
	
	// Add Featured Box 1 Title
	$wp_customize->add_setting(
		'makena_featuredbox1_title',
		array(
		    'default'           => esc_html__( 'Add Your Title', 'makena' ),
		    'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'makena_featuredbox1_title',
        array(
            'label'          => __( 'Featured Box 1 Title', 'makena' ),
            'section'        => 'makena_featuredbox_section',
            'settings'       => 'makena_featuredbox1_title',
            'type'           => 'text',
            )
        )
	);
	
	// Add Featured Box 1 Link
	$wp_customize->add_setting(
		'makena_featuredbox1_link',
		array(
		    'default'           => esc_html__( 'Place Featuredbox Link here', 'makena' ),
		    'type' 				=> 'theme_mod',
		    'transport' 		=> '',
		    'sanitize_callback' => 'esc_url',
		)
	);

	$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'makena_featuredbox1_link',
        array(
            'label'          => esc_html__( 'Featured Box 1 Link', 'makena' ),
            'section'        => 'makena_featuredbox_section',
            'settings'       => 'makena_featuredbox1_link',
            'type'           => 'url',
            )
        )
	);
	
	// Add Featured Box 2 Image
	$wp_customize->add_setting( 'makena_featuredbox2_image',
		array(
    		'sanitize_callback' => 'esc_url_raw'
		)
	);

    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'makena_featuredbox2_image',
			array(
				'label'   	 => esc_html__( 'Featured Box 2 Image', 'makena' ),
				'section' 	 => 'makena_featuredbox_section',
				'settings'   => 'makena_featuredbox2_image',
			) 
		)
	);
	
	// Add Featured Box 2 Title
	$wp_customize->add_setting(
		'makena_featuredbox2_title',
		array(
		    'default'           => esc_html__( 'Add Your Title', 'makena' ),
		    'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'makena_featuredbox2_title',
        array(
            'label'          => esc_html__( 'Featured Box 2 Title', 'makena' ),
            'section'        => 'makena_featuredbox_section',
            'settings'       => 'makena_featuredbox2_title',
            'type'           => 'text',
            )
        )
	);
	
	// Add Featured Box 2 Link
	$wp_customize->add_setting(
		'makena_featuredbox2_link',
		array(
		    'default'           => esc_html__( 'Place Featuredbox Link here', 'makena' ),
		    'type' 				=> 'theme_mod',
		    'transport' 		=> '',
		    'sanitize_callback' => 'esc_url',
		)
	);

	$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'makena_featuredbox2_link',
        array(
            'label'          => esc_html__( 'Featured Box 2 Link', 'makena' ),
            'section'        => 'makena_featuredbox_section',
            'settings'       => 'makena_featuredbox2_link',
            'type'           => 'url',
            )
        )
	);
	
	// Add Featured Box 3 Image
	$wp_customize->add_setting( 'makena_featuredbox3_image',
		array(
    		'sanitize_callback' => 'esc_url_raw'
		)
	);

    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'makena_featuredbox3_image',
			array(
				'label'   	 => esc_html__( 'Featured Box 3 Image', 'makena' ),
				'section' 	 => 'makena_featuredbox_section',
				'settings'   => 'makena_featuredbox3_image',
			) 
		)
	);
	
	// Add Featured Box 3 Title
	$wp_customize->add_setting(
		'makena_featuredbox3_title',
		array(
		    'default'           => esc_html__( 'Add Your Title', 'makena' ),
		    'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'makena_featuredbox3_title',
        array(
            'label'          => esc_html__( 'Featured Box 3 Title', 'makena' ),
            'section'        => 'makena_featuredbox_section',
            'settings'       => 'makena_featuredbox3_title',
            'type'           => 'text',
            )
        )
	);
	
	// Add Featured Box 3 Link
	$wp_customize->add_setting(
		'makena_featuredbox3_link',
		array(
		    'default'           => esc_html__( 'Place Featuredbox Link here', 'makena' ),
		    'type' 				=> 'theme_mod',
		    'transport' 		=> '',
		    'sanitize_callback' => 'esc_url',
		)
	);

	$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'makena_featuredbox3_link',
        array(
            'label'          => esc_html__( 'Featured Box 3 Link', 'makena' ),
            'section'        => 'makena_featuredbox_section',
            'settings'       => 'makena_featuredbox3_link',
            'type'           => 'url',
            )
        )
	);
	
}
add_action( 'customize_register', 'makena_featuredbox_customize_register' ); 

/**
 * Displays Featured Boxes on the Front Page
 */
function makena_display_featuredbox() { ?>
<?php if ( get_theme_mod( 'makena_featuredbox1_image' ) || get_theme_mod( 'makena_featuredbox1_title' ) || get_theme_mod( 'makena_featuredbox1_content' ) ||
		   get_theme_mod( 'makena_featuredbox2_image' ) || get_theme_mod( 'makena_featuredbox2_title' ) || get_theme_mod( 'makena_featuredbox2_content' ) ||
		   get_theme_mod( 'makena_featuredbox3_image' ) || get_theme_mod( 'makena_featuredbox3_title' ) || get_theme_mod( 'makena_featuredbox3_content' ) ) : ?>

	<div class="col-6 featured-entries">
		<div class="col-2">
  			<div class="featured-item">
				<a href="<?php echo get_theme_mod('makena_featuredbox1_link') ?>"><img class="featuredbox-image" src="<?php echo get_theme_mod('makena_featuredbox1_image') ?>" ></a>
				<h3 class="post-title"><a href="<?php echo get_theme_mod('makena_featuredbox1_link') ?>"><?php echo get_theme_mod('makena_featuredbox1_title') ?></a></h3>
			</div><!--/.featured-item -->
		</div><!--/.col-2 -->

		<div class="col-2">
			<div class="featured-item">
				<a href="<?php echo get_theme_mod('makena_featuredbox2_link') ?>"><img class="featuredbox-image" src="<?php echo get_theme_mod('makena_featuredbox2_image') ?>" ></a>
				<h3 class="post-title"><a href="<?php echo get_theme_mod('makena_featuredbox2_link') ?>"><?php echo get_theme_mod('makena_featuredbox2_title') ?></h3></a>
			</div><!--/.featured-item -->
		</div><!--/.col-2 -->
	
		<div class="col-2">
    		<div class="featured-item">
				<a href="<?php echo get_theme_mod('makena_featuredbox3_link') ?>"><img class="featuredbox-image" src="<?php echo get_theme_mod('makena_featuredbox3_image') ?>" ></a>
				<h3 class="post-title"><a href="<?php echo get_theme_mod('makena_featuredbox3_link') ?>"><?php echo get_theme_mod('makena_featuredbox3_title') ?></a></h3>
			</div><!--/.featured-item -->
		</div><!--/.col-2 -->
	</div>
			<?php else : //Nothing ?>
	
	<?php endif; ?>
 
<?php  
}
