<?php
/**
 * Header slider customizer
 *
 * @package WordPress
 * @subpackage Makena
 * @since Makena 1.0
 */

function makena_slider_customize_register( $wp_customize ) { 
	
	/**
	 * Add Slider Section
	 */
	$wp_customize->add_section(
		'makena_slider_section',
		array(
			'title'       	=> esc_html__( 'Slider Options', 'makena' ),
			'capability'  	=> 'edit_theme_options',
			'panel' 		=> 'makena_theme_options',
			'priority'   => 10,
		)
	);
	
	// Add slide 1 image
	$wp_customize->add_setting( 'makena_slide1_image',
		array(
			'default' 			=> get_template_directory_uri().'/images/slider/1.jpg',
    		'sanitize_callback' => 'esc_url_raw'
		)
	);

    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'makena_slide1_image',
			array(
				'label'   	 => esc_html__( 'Slide 1 Image', 'makena' ),
				'section' 	 => 'makena_slider_section',
				'settings'   => 'makena_slide1_image',
			) 
		)
	);
	
	// Add slide 1 Title
	$wp_customize->add_setting(
		'makena_slide1_content',
		array(
		    'default'           => esc_html__( 'Place Slide Title here', 'makena' ),
		    'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'makena_slide1_content',
        array(
            'label'          => esc_html__( 'Slide 1 Title', 'makena' ),
            'section'        => 'makena_slider_section',
            'settings'       => 'makena_slide1_content',
            'type'           => 'text',
            )
        )
	);

	// Add slide 1 Link
	$wp_customize->add_setting( 'makena_slide1_url', array(
		'default'		 	=> '',
		'type' 				=> 'theme_mod',
		'capability' 		=> 'edit_theme_options',
		'transport' 		=> '',
		'sanitize_callback' => 'esc_url',
	) );

	$wp_customize->add_control( 'makena_slide1_url', array(
    	'type' 				=> 'url',
    	'priority' 			=> 10,
    	'section' 			=> 'makena_slider_section',
    	'label' 			=> esc_html__( 'URL Field', 'makena' ),
    	'description' 		=> '',
	) );
	
	// Add slide 2 image
	$wp_customize->add_setting( 'makena_slide2_image',
		array(
			'default' 			=> get_template_directory_uri().'/images/slider/2.jpg',
    		'sanitize_callback' => 'esc_url_raw'
		)
	);

    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'makena_slide2_image',
			array(
				'label'   	 => esc_html__( 'Slide 2 Image', 'makena' ),
				'section' 	 => 'makena_slider_section',
				'settings'   => 'makena_slide2_image',
			) 
		)
	);
	
	// Add slide 2 Title
	$wp_customize->add_setting(
		'makena_slide2_content',
		array(
		    'default'           => esc_html__( 'Place Slide Title here', 'makena' ),
		    'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'makena_slide2_content',
        array(
            'label'          => esc_html__( 'Slide 2 Title', 'makena' ),
            'section'        => 'makena_slider_section',
            'settings'       => 'makena_slide2_content',
            'type'           => 'text',
            )
        )
	);
	
	// Add slide 2 Link
	$wp_customize->add_setting( 'makena_slide2_url', array(
		'default' 			=> '',
		'type' 				=> 'theme_mod',
		'capability' 		=> 'edit_theme_options',
		'transport' 		=> '',
		'sanitize_callback' => 'esc_url',
	) );

	$wp_customize->add_control( 'makena_slide2_url', array(
    	'type' 				=> 'url',
    	'priority' 			=> 10,
    	'section' 			=> 'makena_slider_section',
    	'label' 			=> esc_html__( 'URL Field', 'makena' ),
    	'description'	 	=> '',
	) );
	
	// Add slide 3 image
	$wp_customize->add_setting( 'makena_slide3_image',
		array(
			'default' 			=> get_template_directory_uri().'/images/slider/3.jpg',
    		'sanitize_callback' => 'esc_url_raw'
		)
	);

    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'makena_slide3_image',
			array(
				'label'   	 => esc_html__( 'Slide 3 Image', 'makena' ),
				'section' 	 => 'makena_slider_section',
				'settings'   => 'makena_slide3_image',
			) 
		)
	);
	
	// Add slide 3 Title
	$wp_customize->add_setting(
		'makena_slide3_content',
		array(
		    'default'           => esc_html__( 'Place Slide Title here', 'makena' ),
		    'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'makena_slide3_content',
        array(
            'label'          => esc_html__( 'Slide 3 Title', 'makena' ),
            'section'        => 'makena_slider_section',
            'settings'       => 'makena_slide3_content',
            'type'           => 'text',
            )
        )
	);
	
	// Add slide 3 Link
	$wp_customize->add_setting( 'makena_slide3_url', array(
		'default' 			=> '',
		'type' 				=> 'theme_mod',
		'capability' 		=> 'edit_theme_options',
		'transport' 		=> '',
		'sanitize_callback' => 'esc_url',
	) );

	$wp_customize->add_control( 'makena_slide3_url', array(
    	'type' 				=> 'url',
    	'priority' 			=> 10,
    	'section' 			=> 'makena_slider_section',
    	'label' 			=> esc_html__( 'URL Field', 'makena' ),
    	'description' 		=> '',
	) );
	
} 
add_action( 'customize_register', 'makena_slider_customize_register' );

/**
 * Displays the slider
 */
function frontpage_display_slider() { ?>
		
  		<div class="m-slider">
  			<div class="flexslider">
				<ul class="slides">
	 				<li>
	 					<a href="<?php echo get_theme_mod('makena_slide1_url') ?>">
	 						<img class="slider-image" src="<?php echo get_theme_mod('makena_slide1_image') ?>" >
	 						<div class="flex-caption"><h3><?php echo get_theme_mod('makena_slide1_content') ?></h3></div>
	 					</a>
	 				</li>
    				<li>
    					<a href="<?php echo get_theme_mod('makena_slide2_url') ?>">
    						<img class="slider-image" src="<?php echo get_theme_mod('makena_slide2_image') ?>" >
    						<div class="flex-caption"><h3><?php echo get_theme_mod('makena_slide2_content') ?></h3></div>
    					</a>
    				</li>
    				<li>
    					<a href="<?php echo get_theme_mod('makena_slide3_url') ?>">
    						<img class="slider-image" src="<?php echo get_theme_mod('makena_slide3_image') ?>" >
    						<div class="flex-caption"><h3><?php echo get_theme_mod('makena_slide3_content') ?></h3></div>
    					</a>
    				</li>
				</ul>
  			</div>
  		</div>
<?php  
}