<?php
/**
 * Makena Social Links Customizer functionality
 *
 * @package WordPress
 * @subpackage Makena
 * @since Makena 1.0
 */

function makena_customizer_social_media_array() {

	/* store social site names in array */
	$social_sites = array( 'facebook', 'twitter', 'instagram', 'linkedin',  'pinterest');

	return $social_sites;
}
/* add settings to create various social media text areas. */
add_action('customize_register', 'makena_add_social_sites_customizer');

function makena_add_social_sites_customizer($wp_customize) {

	$wp_customize->add_section( 'makena_social_settings', array(
			'title'    => esc_html__('Social Network Links', 'makena'),
			'priority' => 35,
			'panel' => 'makena_theme_options',
	) );

	$social_sites = makena_customizer_social_media_array();
	$priority = 5;

	foreach($social_sites as $social_site) {

		$wp_customize->add_setting( "$social_site", array(
				'type'              => 'theme_mod',
				'capability'        => 'edit_theme_options',
				'sanitize_callback' => 'esc_url_raw'
		) );

		$wp_customize->add_control( $social_site, array(
				'label'    => esc_html__( "$social_site url:", 'makena' ),
				'section'  => 'makena_social_settings',
				'type'     => 'text',
				'priority' => $priority,
		) );

		$priority = $priority + 5;
	}
}
/* takes user input from the customizer and outputs linked social media icons */
function makena_social_media_icons() {

    $social_sites = makena_customizer_social_media_array();

    /* any inputs that aren't empty are stored in $active_sites array */
    foreach($social_sites as $social_site) {
        if( strlen( get_theme_mod( $social_site ) ) > 0 ) {
            $active_sites[] = $social_site;
        }
    }

    /* for each active social site, add it as a list item */
        if ( ! empty( $active_sites ) ) {

            echo "<ul class='social-media-icons'>";

            foreach ( $active_sites as $active_site ) {

	            /* setup the class */
		        $class = 'fa fa-' . $active_site;

                if ( $active_site == 'email' ) {
                    ?>
                    <li>
                        <a class="email" target="_blank" href="mailto:<?php echo antispambot( is_email( get_theme_mod( $active_site ) ) ); ?>">
                            <i class="fa fa-envelope" title="<?php _e('email icon', 'makena'); ?>"></i>
                        </a>
                    </li>
                <?php } else { ?>
                    <li>
                        <a class="<?php echo $active_site; ?>" target="_blank" href="<?php echo esc_url( get_theme_mod( $active_site) ); ?>">
                          <i class="<?php echo esc_attr( $class ); ?>" title="<?php printf( __('%s icon', 'makena'), $active_site ); ?>"></i>
                        </a>
                    </li>
                <?php
                }
            }
            echo "</ul>";
        }
}