<?php
/**
 * Top Widget functionality
 *
 * @package WordPress
 * @subpackage Makena
 * @since Makena 1.0
 */
 
 /**
* Add Front Page Featured Box Section
*/
function makena_top_widget_customize_register( $wp_customize ) {
	$wp_customize->add_section(
		'makena_top_widget_section',
		array(
			'title'       => esc_html__( 'Top Content Widget', 'makena' ),
			'capability'  => 'edit_theme_options',
			'panel' => 'makena_theme_options',
			'priority'   => 10,
		)
	);
	

	// Add Widget 1 Title
	$wp_customize->add_setting(
		'makena_top_widget1_title',
		array(
		    'default'           => esc_html__( 'Add Your Title', 'makena' ),
		    'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'makena_top_widget1_title',
        array(
            'label'          => __( 'Widget 1 Title', 'makena' ),
            'section'        => 'makena_top_widget_section',
            'settings'       => 'makena_top_widget1_title',
            'type'           => 'text',
            )
        )
	);
	
	// Add Widget 1 Link
	$wp_customize->add_setting(
		'makena_top_widget1_title_link',
		array(
		    'default'           => esc_html__( 'Add Widget 1 Link here', 'makena' ),
		    'type' 				=> 'theme_mod',
		    'transport' 		=> '',
		    'sanitize_callback' => 'esc_url',
		)
	);

	$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'makena_top_widget1_title_link',
        array(
            'label'          => esc_html__( 'Widget 1 Title Link', 'makena' ),
            'section'        => 'makena_top_widget_section',
            'settings'       => 'makena_top_widget1_title_link',
            'type'           => 'url',
            )
        )
	);
	
	// Add Widget 2 Title
	$wp_customize->add_setting(
		'makena_top_widget2_title',
		array(
		    'default'           => esc_html__( 'Add Your Title', 'makena' ),
		    'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'makena_top_widget2_title',
        array(
            'label'          => __( 'Widget 1 Title', 'makena' ),
            'section'        => 'makena_top_widget_section',
            'settings'       => 'makena_top_widget2_title',
            'type'           => 'text',
            )
        )
	);
	
	// Add Widget 2 Link
	$wp_customize->add_setting(
		'makena_top_widget2_title_link',
		array(
		    'default'           => esc_html__( 'Add Widget 2 Link here', 'makena' ),
		    'type' 				=> 'theme_mod',
		    'transport' 		=> '',
		    'sanitize_callback' => 'esc_url',
		)
	);

	$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'makena_top_widget2_title_link',
        array(
            'label'          => esc_html__( 'Widget 2 Title Link', 'makena' ),
            'section'        => 'makena_top_widget_section',
            'settings'       => 'makena_top_widget2_title_link',
            'type'           => 'url',
            )
        )
	);

	// Add Widget 3 Title
	$wp_customize->add_setting(
		'makena_top_widget3_title',
		array(
		    'default'           => esc_html__( 'Add Your Title', 'makena' ),
		    'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'makena_top_widget3_title',
        array(
            'label'          => __( 'Widget 3 Title', 'makena' ),
            'section'        => 'makena_top_widget_section',
            'settings'       => 'makena_top_widget3_title',
            'type'           => 'text',
            )
        )
	);
	
	// Add Widget 3 Link
	$wp_customize->add_setting(
		'makena_top_widget3_title_link',
		array(
		    'default'           => esc_html__( 'Add Widget 3 Link here', 'makena' ),
		    'type' 				=> 'theme_mod',
		    'transport' 		=> '',
		    'sanitize_callback' => 'esc_url',
		)
	);

	$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'makena_top_widget3_title_link',
        array(
            'label'          => esc_html__( 'Widget 3 Title Link', 'makena' ),
            'section'        => 'makena_top_widget_section',
            'settings'       => 'makena_top_widget3_title_link',
            'type'           => 'url',
            )
        )
	);
	
	
}
add_action( 'customize_register', 'makena_top_widget_customize_register' ); 

/**
 * Displays Featured Boxes on the Front Page
 */
function makena_display_top_widget() { ?>
<?php if ( get_theme_mod( 'makena_top_widget1_title' ) || get_theme_mod( 'makena_top_widget2_title' ) || get_theme_mod( 'makena_top_widget3_title' ) ||
		   get_theme_mod( 'makena_top_widget1_title_link' ) || get_theme_mod( 'makena_top_widget2_title_link' ) || get_theme_mod( 'makena_top_widget3_title_link' ) ) : ?>

	<div class="col-6 useful-links">
		<div class="col-2 tw-1">
  			<div class="featured-item">
  				<?php if ( get_theme_mod( 'makena_top_widget1_title', __( 'Add Title', 'makena' ) ) ): ?>
					<h3>
						<a href="<?php echo esc_url(get_theme_mod('makena_top_widget1_title_link') ); ?>">
							<?php echo esc_html( get_theme_mod( 'makena_top_widget1_title', __( 'Add Title', 'makena' ) ) ); ?>
						</a>
					</h3>
				<?php endif; ?>
			</div><!--/.featured-item -->
		</div><!--/.col-2 -->
		
		<div class="col-2 tw-2">
  			<div class="featured-item">
  				<?php if ( get_theme_mod( 'makena_top_widget2_title', __( 'Add Title', 'makena' ) ) ): ?>
					<h3>
						<a href="<?php echo esc_url(get_theme_mod('makena_top_widget2_title_link') ); ?>">
							<?php echo esc_html( get_theme_mod( 'makena_top_widget2_title', __( 'Add Title', 'makena' ) ) ); ?>
						</a>
					</h3>
				<?php endif; ?>
			</div><!--/.featured-item -->
		</div><!--/.col-2 -->

		<div class="col-2 tw-3">
  			<div class="featured-item">
  				<?php if ( get_theme_mod( 'makena_top_widget3_title', __( 'Add Title', 'makena' ) ) ): ?>
					<h3>
						<a href="<?php echo esc_url(get_theme_mod('makena_top_widget3_title_link') ); ?>">
							<?php echo esc_html( get_theme_mod( 'makena_top_widget3_title', __( 'Add Title', 'makena' ) ) ); ?>
						</a>
					</h3>
				<?php endif; ?>
			</div><!--/.featured-item -->
		</div><!--/.col-2 -->

	</div>
	
	<?php else : //Nothing ?>
	
<?php endif; ?>
 
<?php  
}
