<?php
/**
 * Footer Widgets
 *
 * @package WordPress
 * @subpackage Makena
 * @since Makena 1.0
 */
 
function makena_register_footer_widgets() {
	// Register Footer Column 1 widget area.
	register_sidebar( array(
		'name' => __( 'Footer Column 1', 'makena' ),
		'id' => 'footer-1',
		'description' => __( 'Appears on the first footer column.', 'makena' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s clearfix">',
		'after_widget' => '</aside>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );
	
	// Register Footer Column 2 widget area.
	register_sidebar( array(
		'name' => __( 'Footer Column 2', 'makena' ),
		'id' => 'footer-2',
		'description' => __( 'Appears on the second footer column.', 'makena' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s clearfix">',
		'after_widget' => '</aside>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );
	
	// Register Footer Column 3 widget area.
	register_sidebar( array(
		'name' => __( 'Footer Column 3', 'makena' ),
		'id' => 'footer-3',
		'description' => __( 'Appears on the third footer column.', 'makena' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s clearfix">',
		'after_widget' => '</aside>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );
	
	// Register Footer Column 4 widget area.
	register_sidebar( array(
		'name' => __( 'Footer Column 4', 'makena' ),
		'id' => 'footer-4',
		'description' => __( 'Appears on the fourth footer column.', 'makena' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s clearfix">',
		'after_widget' => '</aside>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );
}
add_action( 'widgets_init', 'makena_register_footer_widgets', 20 );

function footer_widgets_area() {

	if ( ! is_404() ) : ?> 
	<div id="footer-widgets" class="widget-area three"> 
		 
		<div class="col-widget"> 
			<?php if ( is_active_sidebar( 'footer-1' ) ) : ?> 
					<?php dynamic_sidebar( 'footer-1' ); ?> 
			<?php endif; ?> 
		</div> 
 
		<div class="col-widget"> 
			<?php if ( is_active_sidebar( 'footer-2' ) ) : ?> 
			<?php dynamic_sidebar( 'footer-2' ); ?> 
			<?php endif; ?> 
		</div> 
 
		<div class="col-widget"> 
			<?php if ( is_active_sidebar( 'footer-3' ) ) : ?> 
					<?php dynamic_sidebar( 'footer-3' ); ?> 
			<?php endif; ?> 
		</div> 	

		<div class="col-widget"> 
			<?php if ( is_active_sidebar( 'footer-4' ) ) : ?> 
					<?php dynamic_sidebar( 'footer-4' ); ?> 
			<?php endif; ?> 
		</div> 	
		
	</div><!-- #footer-widgets --> 							
<?php endif; ?>

<?php }