<?php
/**
 * Front Page Recent Posts
 *
 * @package WordPress
 * @subpackage Makena
 * @since Makena 1.0
 */
 
 function recent_blogposts() { ?>
 
	<div class="col-6 latest-blogposts">
		<?php if ( get_theme_mod( 'makena_blogposts_section_title', __( 'Latest Blog Posts', 'makena' ) ) ): ?>
			<header class="section-header">
				<?php if ( get_theme_mod( 'makena_brands_section_title', __( 'From the Blog', 'makena' ) ) ): ?>
					<h2 class="entry-title">
						<span><?php echo esc_html( get_theme_mod( 'makena_blogposts_section_title', __( 'From the Blog Brands', 'makena' ) ) ); ?></span>
					</h2>
				<?php endif; ?>
			</header>
		<?php endif; ?>
	
		<?php $the_query = new WP_Query( 'posts_per_page=3' ); ?>
		
		<div class="grid-list">
			<?php while ($the_query -> have_posts()) : $the_query -> the_post(); ?>
				<div class="col-2">
					<div class="featured-item">
						<?php if ( has_post_format('video') ) { ?>
							<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
								<div class="entry-summary">
									<?php the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'makena' ) ); ?>
								</div><!-- .entry-content -->
								<header class="post-entry-header">
									<?php the_title( sprintf( '<h5 class="post-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h5>' ); ?>
								</header>
								<a class="read-more" href="<?php the_permalink(); ?>" rel="bookmark">Read More</a>
							</article><!-- #post -->
			
						<?php } elseif( has_post_format('image') ) { ?>
							<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
								<div class="entry-summary">
									<?php the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'makena' ) ); ?>
								</div><!-- .entry-content -->
								<header class="post-entry-header">
									<?php the_title( sprintf( '<h5 class="post-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h5>' ); ?>
								</header>
								<a class="read-more" href="<?php the_permalink(); ?>" rel="bookmark">Read More</a>
							</article><!-- #post -->
			
						<?php } else { ?>
			
							<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				
								<?php if ( has_post_thumbnail() ) { ?>
									<a href="<?php the_permalink(); ?>" rel="bookmark">
										<?php the_post_thumbnail('post-thumbnails'); ?>
									</a>
								<?php } else { ?>
									<a href="<?php the_permalink(); ?>" rel="bookmark">
										<img src="<?php bloginfo('template_directory'); ?>/images/3.jpg" alt="<?php the_title(); ?>" />
									</a>
								<?php } ?>
				
									<header class="post-entry-header">
										<?php the_title( sprintf( '<h5 class="post-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h5>' ); ?>
									</header>
								<div class="post-content"><?php the_excerpt(); ?></div>
							</article>
						<?php } ?>
				</div><!-- .featured-item -->
			</div><!-- .col-2 -->
			<?php 
				endwhile;
				wp_reset_postdata();
			?>
		</div>	
		
		
	</div><!-- .col-6.recent_blogposts -->
	<?php
}