<?php
/**
 * Additonal functions for Makena
 *
 * @package WordPress
 * @subpackage Makena
 * @since Makena 1.0
 */
 
/**
 * Related posts
 */
function cgg_related_posts() { ?>
<?php

	global $post;
	
	$categories = get_the_category($post->ID);
	
		if ($categories) {
		$category_ids = array();

		foreach($categories as $individual_category) $category_ids[] = $individual_category->term_id;

		$args = array(
			'category__in'     => $category_ids,
			'post__not_in'     => array($post->ID),
			'posts_per_page'   => 3,
			'ignore_sticky_posts' => 1,
			'orderby' => 'rand'
		);

	$mk_query = new wp_query( $args );

	if( $mk_query->have_posts() ) { ?>
		<div class="related-posts">
			<h5 class="related-posts-title"><?php echo esc_html_e('You May Also Like', 'makena'); ?></h5>
				<div class="row">
					<?php while( $mk_query->have_posts() ) { $mk_query->the_post();?>
						<div class="col-2">
							<div class="related">
								<?php the_post_thumbnail('post-thumbnail'); ?>
								<?php the_title( sprintf( '<h5 class="post-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h5>' ); ?>
								<?php if(!get_theme_mod('post_date')) : ?>
									<span class="post-date"><?php the_time( get_option('date_format') ); ?></span>
								<?php endif; ?>
							</div>
						</div>
					<?php } ?>
				</div>
		</div>
    <?php
	}
}
wp_reset_postdata();
}