<?php
/**
 * Makena second featured image
 *
 * @package WordPress
 * @subpackage Makena
 * @since Makena 1.0
 */
 
/**
 * Second Featurd Image Custom Metabox
 */
function makena_second_featured_image( $post ) {
    wp_nonce_field( 'second_featured_image_submit', 'second_featured_image_nonce' );
    $makena_stored_meta = get_post_meta( $post->ID ); ?>

    <p>
        <label for="second-featured-image" class="makena-row-title">Add second featured image</label>
	<img id="meta-image-preview" src="<?php if ( isset ( $makena_stored_meta['meta-image'] ) ){ echo $makena_stored_meta['meta-image'][0]; } ?>" />
        <input type="text" name="meta-image" id="meta-image" class="meta_image" value="<?php if ( isset ( $makena_stored_meta['meta-image'] ) ){ echo $makena_stored_meta['meta-image'][0]; } ?>" />
        <input type="button" id="meta-image-button" class="button" value="Upload Image" />
    </p>
    
	<script>
		jQuery('#meta-image-button').click(function() {

    	var send_attachment_bkp = wp.media.editor.send.attachment;

    	wp.media.editor.send.attachment = function(props, attachment) {

        jQuery('#meta-image').val(attachment.url);
		jQuery('#meta-image-preview').attr('src',attachment.url);
        wp.media.editor.send.attachment = send_attachment_bkp;
    	}

    	wp.media.editor.open();

    	return false;
	});
	</script>

	<style>
		/* Second Featured Image */
		label.makena-row-title {padding: 0 0 10px 0;padding: 0 0 0.71428571428rem 0;display: block;}
		img#meta-image-preview{max-width: 100%;}
		input#meta-image.meta_image{width:100%;box-sizing:border-box;margin:10px 0;margin:0.71428571428rem 0;}
	</style>
<?php    
}

/**
 * Add Case Study background image metabox to the back end of Case Study posts
 */
function makena_add_meta_boxes() {
    add_meta_box( 'second-featured-image', 'Second Featured Image', 'makena_second_featured_image', 'page', 'side', 'low' );
}
add_action( 'add_meta_boxes', 'makena_add_meta_boxes' );

/**
 * Save background image metabox for Second Featured Image
 */
function save_second_featured_image_meta_box( $post_id ) {
    $is_autosave = wp_is_post_autosave( $post_id );
    $is_revision = wp_is_post_revision( $post_id );
    $is_valid_nonce = ( isset( $_POST[ 'second_featured_image_nonce' ] ) && wp_verify_nonce( $_POST[ 'second_featured_image_nonce' ], 'second_featured_image_submit' ) ) ? 'true' : 'false';

    // Exits script depending on save status
    if ( $is_autosave || $is_revision || !$is_valid_nonce  ) {
        return;
    }

    // Checks for input and sanitizes/saves if needed
    if( isset( $_POST[ 'meta-image' ] ) ) {
        update_post_meta( $post_id, 'meta-image', $_POST[ 'meta-image' ] );
    }
}
add_action( 'save_post', 'save_second_featured_image_meta_box' );
