<?php
/**
 * Brands custom post type and functionality
 *
 * @package WordPress
 * @subpackage Makena
 * @since Makena 1.0
 */

function create_brands_posttype() {
  register_post_type( 'brands',
    array(
      	'labels' 		=> array(
        'name' 			=> __( 'Brands', 'makena' ),
        'singular_name' => __( 'Brand', 'makena' ),
      ),
      'public' 			=> true,
      'supports'    	=> array( 'title', 'thumbnail' ),
      'has_archive' 	=> true,
      'rewrite' 		=> array('slug' => 'brands'),
    )
  );
}
add_action( 'init', 'create_brands_posttype' );

/* Display Top Brands on Front Page */
function display_brands_logos() {

	global $post;
	
	$args = array( 
	'post_type' => 'brands', 
	'posts_per_page' => 6 
	);
	
	$brands = new WP_Query( $args ); 

	// Check if there are child pages.
	if ( $brands->have_posts() ) : ?>
		<div class="col-6 featured-brands">
			<header class="section-header">
				<?php if ( get_theme_mod( 'makena_brands_section_title', __( 'Top Brands', 'makena' ) ) ): ?>
					<h2 class="entry-title">
						<span><?php echo esc_html( get_theme_mod( 'makena_brands_section_title', __( 'Top Brands', 'makena' ) ) ); ?></span>
					</h2>
				<?php endif; ?>
			</header>
			<div class="grid-list brands">
				<?php while ( $brands->have_posts() ) : $brands->the_post(); ?>
					<div class="col-1">
						<div class="brands">
							<?php the_post_thumbnail(); ?>
						</div>
					</div>
				<?php endwhile; ?>
			</div>
		</div>
	<?php endif;
	wp_reset_postdata();
}
