<?php
/*
Plugin Name: CGG User Contact Plugin
Plugin URI: https://chimenegaspar.com
Description: A plugin to display your contact infos in a sidebar.
Version: 1.0
Author: Chimene Gaspar
Author URI: https://chimenegaspar.com
License: GPL2
*/

/**
 * Adds User Contact Widget
 */
class cgg_user_contact_widget extends WP_Widget {

	function __construct() {
		parent::__construct(
			'cgg_user_contact_widget',
			__('Theme - User Contact Infos', 'makena'),
			array( 'description' => __( 'Wigdet to display your contact infos in a sidebar', 'makena' ), )
		);
	}
	
	public function widget( $args, $instance ) {
		$title = apply_filters( 'widget_title', $instance['title'] );
		$name = apply_filters( 'widget_title', $instance['name'] );
		$email = apply_filters( 'widget_title', $instance['email'] );
		$phone = apply_filters( 'widget_title', $instance['phone'] );
		echo $args['before_widget'];
		if ( ! empty( $title ) )
			echo $args['before_title'] . $title . $args['after_title'];
		?>
		
		<!-- Display Contact Infos in Widget -->
		<ul class="cgg-user-contact">
			<li class="usc-name"><?php echo $name ?></li>
			<li class="usc-email"><?php echo $email ?></li>
			<li class="usc-phone"><?php echo $phone ?></li>
		</ul>
		
		<?php
		echo $args['after_widget'];		
	}
	
	public function form( $instance ) {
		$title 	= ( isset( $instance[ 'title' ] ) ) ? $instance[ 'title' ] : '';
		$name 	= ( isset( $instance[ 'name' ] ) ) ? $instance[ 'name' ] : '';
		$email 	= ( isset( $instance[ 'email' ] ) ) ? $instance[ 'email' ] : '';
		$phone 	= ( isset( $instance[ 'phone' ] ) ) ? $instance[ 'phone' ] : '';
		?>
		
		<div id="<?php echo $this->id; ?>">
			<p>
				<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label>
				<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
			</p>
			<p>
				<label for="<?php echo $this->get_field_id( 'name' ); ?>"><?php _e( 'Name:' ); ?></label>
				<input class="widefat" id="<?php echo $this->get_field_id( 'name' ); ?>" name="<?php echo $this->get_field_name( 'name' ); ?>" type="text" value="<?php echo esc_attr( $name ); ?>" />
			</p>
			<p>
				<label for="<?php echo $this->get_field_id( 'email' ); ?>"><?php _e( 'Email:' ); ?></label>
				<input class="widefat" id="<?php echo $this->get_field_id( 'email' ); ?>" name="<?php echo $this->get_field_name( 'email' ); ?>" type="text" value="<?php echo esc_attr( $email ); ?>" />
			</p>
			<p>
				<label for="<?php echo $this->get_field_id( 'phone' ); ?>"><?php _e( 'Phone:' ); ?></label>
				<input class="widefat" id="<?php echo $this->get_field_id( 'phone' ); ?>" name="<?php echo $this->get_field_name( 'phone' ); ?>" type="text" value="<?php echo esc_attr( $phone ); ?>" />
			</p>
        </div>
		<?php
	}
	
	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
		$instance['name'] = ( ! empty( $new_instance['name'] ) ) ? strip_tags( $new_instance['name'] ) : '';
		$instance['email'] = ( ! empty( $new_instance['email'] ) ) ? strip_tags( $new_instance['email'] ) : '';
		$instance['phone'] = ( ! empty( $new_instance['phone'] ) ) ? strip_tags( $new_instance['phone'] ) : '';
		return $instance;
	}
}

function load_cgg_user_contact_widget() {
	register_widget( 'cgg_user_contact_widget' );
}
add_action( 'widgets_init', 'load_cgg_user_contact_widget' );
